Show / Hide Table of Contents

# Struct BattleChara

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BattleChara

### Fields

| Improve this Doc View Source

#### Character

##### Declaration

    public Character Character

##### Field Value

Type | Description
--- | ---
Character |

| Improve this Doc View Source

#### Foray

##### Declaration

    public Character.ForayInfo Foray

##### Field Value

Type | Description
--- | ---
Character.ForayInfo |

| Improve this Doc View Source

#### SpellCastInfo

##### Declaration

    public Character.CastInfo SpellCastInfo

##### Field Value

Type | Description
--- | ---
Character.CastInfo |

| Improve this Doc View Source

#### StatusManager

##### Declaration

    public StatusManager StatusManager

##### Field Value

Type | Description
--- | ---
StatusManager |

### Properties

| Improve this Doc View Source

#### GetCastInfo

##### Declaration

    public readonly Character.CastInfo*GetCastInfo { get; }

##### Property Value

Type | Description
--- | ---
Character.CastInfo* |

| Improve this Doc View Source

#### GetForayInfo

##### Declaration

    public readonly Character.ForayInfo*GetForayInfo { get; }

##### Property Value

Type | Description
--- | ---
Character.ForayInfo* |

| Improve this Doc View Source

#### GetStatusManager

##### Declaration

    public readonly StatusManager*GetStatusManager { get; }

##### Property Value

Type | Description
--- | ---
StatusManager* |